<?php
/**
 * Alias internationalisation file for the PdfExport extension
 *
 * @file PdfExport.i18n.alias.php
 * @ingroup PdfExport
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License 2.0 or later
 */
// @codingStandardsIgnoreFile

$specialPageAliases = array();

/** English (English) */
$specialPageAliases['en'] = array(
	'PdfPrint' => array( 'Pdfprint', 'Pdf Export' ),
);

/** Arabic (العربية) */
$specialPageAliases['ar'] = array(
	'PdfPrint' => array( 'طبع_بي_دي_إف', 'تصدير_بي_دي_إف' ),
);

/** Egyptian Arabic (مصرى) */
$specialPageAliases['arz'] = array(
	'PdfPrint' => array( 'طبع_بى-دى_اف', 'تصدير_بى_دى_اف' ),
);

/** Avaric (авар) */
$specialPageAliases['av'] = array(
	'PdfPrint' => array( 'Создание_Pdf' ),
);

/** Western Balochi (بلوچی رخشانی) */
$specialPageAliases['bgn'] = array(
	'PdfPrint' => array( 'پی_ڈی_اف_ڈنا_بورت' ),
);

/** Chechen (нохчийн) */
$specialPageAliases['ce'] = array(
	'PdfPrint' => array( 'Кхоллар_Pdf' ),
);

/** German (Deutsch) */
$specialPageAliases['de'] = array(
	'PdfPrint' => array( 'PDF-Druck', 'PDF-Export' ),
);

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = array(
	'PdfPrint' => array( 'PdfÇabk', 'PdfTeberd' ),
);

/** Esperanto (Esperanto) */
$specialPageAliases['eo'] = array(
	'PdfPrint' => array( 'Presi_PDF', 'Elporti_PDF', 'Eksporti_PDF' ),
);

/** Persian (فارسی) */
$specialPageAliases['fa'] = array(
	'PdfPrint' => array( 'برون‌برد_پی‌دی‌اف' ),
);

/** Upper Sorbian (hornjoserbsce) */
$specialPageAliases['hsb'] = array(
	'PdfPrint' => array( 'PDF-ćišć' ),
);

/** Italian (italiano) */
$specialPageAliases['it'] = array(
	'PdfPrint' => array( 'StampaInPdf' ),
);

/** Japanese (日本語) */
$specialPageAliases['ja'] = array(
	'PdfPrint' => array( 'PDF書き出し', 'PDFエクスポート' ),
);

/** Korean (한국어) */
$specialPageAliases['ko'] = array(
	'PdfPrint' => array( 'Pdf인쇄', 'Pdf내보내기' ),
);

/** Luxembourgish (Lëtzebuergesch) */
$specialPageAliases['lb'] = array(
	'PdfPrint' => array( 'PDF-Drécken', 'PDF-Export' ),
);

/** Macedonian (македонски) */
$specialPageAliases['mk'] = array(
	'PdfPrint' => array( 'Pdfпечатење', 'Pdf_извоз' ),
);

/** Malayalam (മലയാളം) */
$specialPageAliases['ml'] = array(
	'PdfPrint' => array( 'പിഡിഎഫ്അച്ചടി', 'പിഡിഎഫ്_കയറ്റുമതി' ),
);

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = array(
	'PdfPrint' => array( 'PDFAfdrukken' ),
);

/** Portuguese (português) */
$specialPageAliases['pt'] = array(
	'PdfPrint' => array( 'Exportar_em_PDF', 'Exportar_para_PDF' ),
);

/** Russian (русский) */
$specialPageAliases['ru'] = array(
	'PdfPrint' => array( 'Создание_Pdf' ),
);

/** Sicilian (sicilianu) */
$specialPageAliases['scn'] = array(
	'PdfPrint' => array( 'StampaInPdf' ),
);

/** Ukrainian (українська) */
$specialPageAliases['uk'] = array(
	'PdfPrint' => array( 'Створення_Pdf' ),
);

/** Vietnamese (Tiếng Việt) */
$specialPageAliases['vi'] = array(
	'PdfPrint' => array( 'In_PDF', 'Xuất_PDF' ),
);

/** Simplified Chinese (中文（简体）‎) */
$specialPageAliases['zh-hans'] = array(
	'PdfPrint' => array( 'PDF打印', 'PDF导出' ),
);

/** Traditional Chinese (中文（繁體）‎) */
$specialPageAliases['zh-hant'] = array(
	'PdfPrint' => array( 'PDF_列印', 'PDF_匯出' ),
);